#
# spec file for package python-xmldiff
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           python-xmldiff
%define _name xmldiff
Version:        0.6.10
Release:        16.4
License:        GPL-2.0+
Summary:        Tree to tree correction between xml documents
Url:            http://www.logilab.org/projects/xmldiff/
Group:          Productivity/Publishing/XML
Source:         http://ftp.logilab.org/pub/xmldiff/%{_name}-%{version}.tar.gz
Patch0:         xmldiff-0.6.7-clean-tmp.patch
Patch1:         xmldiff-0.6.7-xsldata.patch
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       file opensp libxslt python-xml
%py_requires

%description
XMLdiff shows the differences between two similar XML files in the same
way 'diff' does with text files. It can also be used as a library or as
a command line tool and can work either with XML files or DOM trees.
The implementation is based on "Change detection in hierarchically
structured information", by S. Chawathe, A. Rajaraman, H.
Garcia-Molina, and J. Widom, Stanford University, 1996.

%prep
%setup -q -n %{_name}-%{version}
%patch0
%patch1

%build
python setup.py build

%install
python setup.py install --root=%{buildroot} --prefix=%{_prefix} --record-rpm %{name}.record-rpm
rm -rf %{buildroot}%{python_sitearch}/%{_name}/test/data/

%clean
%{?buildroot:%__rm -rf %{buildroot}}

%files -f %{name}.record-rpm
%defattr(-, root, root)
%doc ChangeLog TODO README* doc/

%changelog
* Sat May 28 2011 dimstar@opensuse.org
- Update to version 0.6.10:
  + fails when comparing minimal trees on i386
- Changes from version 0.6.9:
  + Fixed xmldiff-xmlrev compilation error.
- Spec file cleanup
- Drop patches: xmldiff-0.6.8-python2.5.patch
* Mon Jan 15 2007 ke@suse.de
- Remove /usr/share/xml from the files list.
* Tue Sep 26 2006 cthiel@suse.de
- fix build with python 2.5
- update to version 0.6.8
  * various fixes
- removed xmldiff-0.6.7-x64safe.patch
* Fri Jun  2 2006 cthiel@suse.de
- specfile cleanup, added Requires
- imported 3 patches from Fedora
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec  7 2005 ke@suse.de
- Update to version 0.6.7.
- Drop obsolete tmp file patch.
* Thu Oct 23 2003 ke@suse.de
- New package: version 0.6.4.
